Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

reciverpopup.php
Go to the documentation of this file.
1 <?php
4 // include_once( "ezuser/classes/ezuser.php" );
5 // include_once( "classes/eztemplate.php" );
6
7 $ini =& eZINI::instance( 'site.ini' );
8 $Language = $ini->variable( "eZMessageMain", "Language" );
9
10 $t = new eZTemplate( "kernel/ezmessage/admin/" . $ini->variable( "eZMessageMain", "AdminTemplateDir" ),
11 "kernel/ezmessage/admin/intl", $Language, "reciverpopup.php" );
12
13 $t->set_file( "message_page_tpl", "reciverpopup.tpl" );
14
15 $t->set_block( "message_page_tpl", "message_list_tpl", "message_list" );
16 $t->set_block( "message_list_tpl", "message_item_tpl", "message_item" );
17 $t->set_block( "message_item_tpl", "message_user_tpl", "message_user" );
18
19 $Max = eZHTTPTool::getVar( "Max" );
20 $Index = eZHTTPTool::getVar( "Index" );
21 $OrderBy = eZHTTPTool::getVar( "OrderBy" );
22 $OrderBy = ( $OrderBy == "login" ) ? "login" : "first_name";
23
24 if ( !is_numeric( $Max ) )
25 $Max = 10;
26 if ( !is_numeric( $Index ) )
27 $Index = 0;
28
29 $userList = $user->getAll( $OrderBy, true, false, $Max, $Index );
30
31 foreach( $userList as $userItem )
32 {
33 $t->set_var( "first_name", $userItem->firstName() );
34 $t->set_var( "last_name", $userItem->lastName() );
35 $t->set_var( "login_name", $userItem->login() );
36 $t->parse( "message_user", "message_user_tpl" );
37
38 $t->parse( "message_item", "message_item_tpl", true );
39 }
40
41 $t->parse( "message_list", "message_list_tpl" );
42
43 $t->pparse( "output", "message_page_tpl" );
44
45 // include_once( "kernel/classes/ezlocale.php" );
eZHTTPTool\getVar
static getVar( $name, $onlyCheckPost=false)
Definition: ezhttptool.php:55
eZTemplate
Definition: eztemplate.php:107
$Max
$Max
Definition: reciverpopup.php:19
$OrderBy
$OrderBy
Definition: reciverpopup.php:21
$t
$t
Definition: reciverpopup.php:10
$userList
$userList
Definition: reciverpopup.php:29
$Index
$Index
Definition: reciverpopup.php:20
$Language
$Language
Definition: reciverpopup.php:8
$ini
$ini
Definition: reciverpopup.php:7
$user
$user
Definition: user/adlist.php:39
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.